*{
    margin: 0;
    padding: 0;
}

body {
    background-color: aliceblue;
    font-size: 18px;
    font-family: 'Archivo Black', sans-serif;
    margin: 50px;   
}


/*container*/ 
.container {
    display: grid;
    gap: 20px;

}

/*BAGIAN HEADER */
.header{
    display: grid;
    grid-template-areas: 
    'hero hero fitur-1'
    'hero hero fitur-2';
}

.hero{
    grid-area: hero ;
    min-height: 300px;
    background-image: url(images/asset.png);
    background-size: cover;
    background-position: center;
    background-position-y: center;
    padding: 50px;
}

.hero > *{
    display: none;
}

.fiturs {
    background-color: rgb(255, 255, 255);
    color: white;
    display: grid;
    /*justify-content: center;
    align-content: center; */ 
    place-content: center;
    text-align: center;
    cursor: pointer;
}

.fitur-1{
    grid-area: fitur-1;
    background-image: url(images/bihun.jpg);
    background-size:cover;
    background-position-y: center;
}
.fitur-2{
    grid-area: fitur-2;
    background-image: url(images/as.jpeg);
    background-size: cover;
    background-position-y: center;
}

.fiturs .harga{
    font-size: 2em;
    font-weight: 200;
}

/* Navigation */
.menu {
    order: -1;
    display: grid;
    grid-template-columns:1fr 2fr;
    align-items: center;
}

.menu .brand{
    font-size: 1.3em;
}

.menu ul{
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 10px;
}

.menu a{
    display: block;
    background-color: rgb(0, 0, 0);
    color: white;
    text-decoration: none;
    text-align: center;
    padding: 8px;
    text-transform: uppercase;
    font-size: medium;
}
    /* Hamburger Menu */
    .menu-toggle{
        display: none;
        flex-direction: column;
        justify-content: space-between;
        height: 20px;
        /*background-color : black;*/
        position: relative;
        z-index: 3;
    }

    .menu-toggle span{
        display: block;
        width: 28px;
        height: 3px;
        background: rgb(0, 0, 0);
        border-radius: 3px;
        transition: all 0.5s;
    }

    .menu-toggle input{
        display: block;
        position: absolute;
        background-color: black;
        width: 40px;
        height: 28px;
        left: -5px;
        top: -5px;
        cursor: pointer;
        opacity: 0;
        z-index: 2;
    }

    /* Hamburger Animasi */
    .menu-toggle span:nth-child(2){
    transform-origin: 0 0;
    }
    .menu-toggle span:nth-child(4){
        transform-origin: 0 100%;
    }

    .menu-toggle input:checked ~ span:nth-child(2){
        background-color: white;
        transform: rotate(45deg) translate(-1px, -1px);
    }

    .menu-toggle input:checked ~ span:nth-child(4){
        background-color: white;
        transform: rotate(-45deg) translate(-1px, 0);
    }

    .menu-toggle input:checked ~ span:nth-child(3){
        opacity: 0;
        transform: scale(0);
    }

    /* services */
    .services{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        gap: 35px;
    }

    .service{
        margin-top: 28px;
        background-color: rgb(208, 228, 221);
        padding: 30px;
        text-align: center;
        border: 1px solid gray;
        border-radius: 15px;
        box-shadow: 0 0 2px rgba(0, 0, 0, 0.5)
    }

    .service .icon{
        font-size: 3.5em;
    }

    .service h3{
        font-size: 1.5em;
    }

    .service p{
        font-weight: 200;
        letter-spacing: 1px;
        font-size: 0.8em;
    }

    /*Gallery*/
    .gallery{
        margin-top: 100px;  
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
        gap: 69px;
    }

    .gallery h2{
        grid-column-start: 1;
        grid-column-end: -1;
        margin-bottom: 1px;
        text-align: center;
    }
    /* Responsive breakpoints */
    @media (max-width: 1024px){
    .menu{
        order: inherit;
        grid-template-columns: 1fr;
    }

    .menu .brand {
        display: none;
    }

    .hero>*{
        display: none;
        background-color: rgb(243, 144, 144);
        color: white;
        padding: 5px;
        margin-bottom: 5px;
    }

    .hero{
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: center;
    }
}
@media (max-width: 768px){
    .menu{
        order:-1;
        justify-items: end;
    }
    .menu-toggle{
        display: flex;
    }
    .menu ul{
        display: flex;
        position: absolute;
        right: 0;
        height: 100vh;
        top: 0;
        background-color: rgb(0, 0, 0);
        width: 100%;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        z-index: 1;
        transform: translateY(-100%);
        opacity: 0;
        transition: all 1s;
    }

    .menu ul.slide{
        opacity: 1;
        transform: translateY(0);
    }
}
@media (max-width: 600px){
    .header{
        grid-template-areas: 
        'hero'
        'fitur-1'
        'fitur-2';

    }
}
